'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function stringToObject(str) {
  return str.split('&').reduce(function (result, currentValue) {
    var currentValueList = currentValue.split('=');
    result[currentValueList[0]] = currentValueList[1];
    return result;
  }, {});
}

function objectToString() {
  var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var isEncodeURI = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

  return Object.keys(params).sort().reduce(function (result, currentValue, index, array) {
    var currentValueInObject = isEncodeURI ? encodeURIComponent(params[currentValue]) : params[currentValue];
    if (index === array.length - 1) {
      return '' + result + currentValue + '=' + currentValueInObject;
    }
    return '' + result + currentValue + '=' + currentValueInObject + '&';
  }, '');
}

exports.stringToObject = stringToObject;
exports.objectToString = objectToString;
